/*
Copyright (C) 2009 -  Claudio Salvadori and Christian Nastasi
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/**
 * \file hv7131gp_time_out_def.h
 *
 *  \date Created on: 13-feb-2009
 *  \author Author: Claudio Salvadori and Christian Nastasi
 *  @brief Different timeout for init function (see HV7131GP refman.)
 */

#ifndef HV7131GP_TIME_OUT_DEF_H_
#define HV7131GP_TIME_OUT_DEF_H_
/**
* @brief Time constant symbolic name for init function
* @{ */
typedef enum {
	HV7131GP_TIME_MORE_THAN_1ms,		/**< More than 1ms */
	HV7131GP_TIME_MORE_THAN_4_MCLK,		/**< 4 T_MCLK */
	HV7131GP_TIME_2086000_MCLK,		/**< 2086000 T_MCLK */
} hv7131gp_time_t;
/**  @} */

#endif /* HV7131GP_TIME_OUT_DEF_H_ */
